
Foreman - Bug #9855

searching users on organization returns unexpected results

03/21/2015 08:13 AM - Thomas McKay

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Search   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link: 1204365 Red Hat JIRA:  

Pull request:    

Description

Expectation that searching "organization = ACME" would return all users that belong to this organization (ie. have ACME in their list

of orgs in the UI).

Having two users with default organization of ACME only returns one of those users too, so it's unclear what the intention of this

scoped search field is intending.

History

#1 - 03/21/2015 08:13 AM - Thomas McKay

- Bugzilla link set to 1204365

#2 - 03/23/2015 06:04 AM - Dominic Cleal

- Category set to Search

- Status changed from New to Need more information

Appears to work fine here.  The 'organization' field is for associations to orgs, not searching default orgs.

10:02 $ hammer organization info --id 9

>Id<:                 9

>Name<:               Lacking foo

>Users<:              

    7220test

    orgadmin

    roletest

[..]

>Created at<:         2013/05/07 17:28:54

>Updated at<:         2014/04/10 07:53:17

✔ ~/code/foreman/hammer-cli-foreman [master|✔] 

10:03 $ hammer user list --search 'organization = "Lacking foo"'

-----|----------|-----------|-------------------

>ID< | >LOGIN<  | >NAME<    | >EMAIL<           

-----|----------|-----------|-------------------

39   | 7220test | 7220 Test | a@localhost       

25   | orgadmin | Org Admin | orgadmin@localhost

6    | roletest | role test | roletest@localhost

-----|----------|-----------|-------------------

#3 - 03/24/2015 12:47 PM - Mike McCune

The 'default organization' is a login preference for the UI but does not imply membership within an organization. I'd not expect this search to reflect

the UI preference at all. IMO, not really a bug.

#4 - 03/25/2015 04:05 AM - Dominic Cleal

- Status changed from Need more information to Rejected
